Medium: libpng

2012-04-30T14:52:00
ID ALAS-2012-068
Type amazon
Reporter Amazon
Modified 2014-09-14T15:48:00

Description

Issue Overview:

A heap-based buffer overflow flaw was found in the way libpng processed tEXt chunks in PNG image files. An attacker could create a specially-crafted PNG image file that, when opened, could cause an application using libpng to crash or, possibly, execute arbitrary code with the privileges of the user running the application. (CVE-2011-3048)

Affected Packages:

libpng

Issue Correction:
Run yum update libpng to update your system.

New Packages:

i686:  
    libpng-devel-1.2.49-1.12.amzn1.i686  
    libpng-static-1.2.49-1.12.amzn1.i686  
    libpng-debuginfo-1.2.49-1.12.amzn1.i686  
    libpng-1.2.49-1.12.amzn1.i686

src:  
    libpng-1.2.49-1.12.amzn1.src

x86_64:  
    libpng-static-1.2.49-1.12.amzn1.x86_64  
    libpng-1.2.49-1.12.amzn1.x86_64  
    libpng-debuginfo-1.2.49-1.12.amzn1.x86_64  
    libpng-devel-1.2.49-1.12.amzn1.x86_64